Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.enhance
Interface DynamicStorage

public interface DynamicStorage

Method Summary
`boolean` | `getBoolean(int)`
`byte` | `getByte(int)`
`char` | `getChar(int)`
`double` | `getDouble(int)`
`int` | `getFieldCount()`
`float` | `getFloat(int)`
`int` | `getInt(int)`
`long` | `getLong(int)`
`Object` | `getObject(int)`
`int` | `getObjectCount()`
`short` | `getShort(int)`
`void` | `initialize()`
`DynamicStorage` | `newInstance()`
`void` | `setBoolean(int, boolean)`
`void` | `setByte(int, byte)`
`void` | `setChar(int, char)`
`void` | `setDouble(int, double)`
`void` | `setFloat(int, float)`
`void` | `setInt(int, int)`
`void` | `setLong(int, long)`
`void` | `setObject(int, Object)`
`void` | `setShort(int, short)`

Method Detail

### getFieldCount

    public int getFieldCount()

### getObjectCount

    public int getObjectCount()

### newInstance

    public DynamicStorage newInstance()

### getBoolean

    public boolean getBoolean(int)

### setBoolean

    public void setBoolean(int,
                           boolean)

### getByte

    public byte getByte(int)

### setByte

    public void setByte(int,
                        byte)

### getChar

    public char getChar(int)

### setChar

    public void setChar(int,
                        char)

### getDouble

    public double getDouble(int)

### setDouble

    public void setDouble(int,
                          double)

### getFloat

    public float getFloat(int)

### setFloat

    public void setFloat(int,
                         float)

### getInt

    public int getInt(int)

### setInt

    public void setInt(int,
                       int)

### getLong

    public long getLong(int)

### setLong

    public void setLong(int,
                        long)

### getShort

    public short getShort(int)

### setShort

    public void setShort(int,
                         short)

### getObject

    public Object getObject(int)

### setObject

    public void setObject(int,
                          Object)

### initialize

    public void initialize()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.